BranchesList branches

List branches

Returns all branches in the documentation repository.

curl -X GET "https://api.documentationai.app/api/v1/branches" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "branches": [
    {
      "name": "main",
      "protected": true
    }
  ],
  "count": 10
}
GET
/branches
GET
Bearer Token
Bearer Tokenstring
Required

API key generated from the Documentation.AI dashboard (Settings → API Keys). Pass as Authorization: Bearer dai_...

API key generated from the Documentation.AI dashboard (Settings → API Keys). Pass as Authorization: Bearer dai_...
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. API key generated from the Documentation.AI dashboard (Settings → API Keys). Pass as Authorization: Bearer dai_...

Responses

branchesarray
countinteger